<?php

session_start();
$rut = $_SESSION['rut'];
$perfil = $_SESSION['perfil'];
$cliente = $_SESSION['cliente'];

include '../../conexion/conn.php';
if ($cliente == 'EX') {
  $especie_id = '22';
} else if ($cliente == 'RB') {
  $especie_id = '11';
} else if ($cliente == 'GF') {
  $especie_id = '2';
} else {
  $especie_id = '';
}


if (isset($_REQUEST['zona_id'])) {
  $zona_id = $_REQUEST['zona_id'];
} else {
  $zona_id = "";
}

if (isset($_REQUEST['productor_id'])) {
  $productor_id = $_REQUEST['productor_id'];
} else {
  $productor_id = "";
}

if (isset($_REQUEST['variedad_id'])) {
  $variedad_id = $_REQUEST['variedad_id'];
} else {
  $variedad_id = "";
}

if (isset($_REQUEST['fecha'])) {
  $fecha = $_REQUEST['fecha'];
} else {
  $fecha = "";
}

if (isset($_REQUEST['cuartel'])) {
  $cuartel = $_REQUEST['cuartel'];
} else {
  $cuartel = "";
}

if (isset($_REQUEST['contratista'])) {
  $contratista = $_REQUEST['contratista'];
} else {
  $contratista = "";
}

if (isset($_REQUEST['cuadrilla'])) {
  $cuadrilla = $_REQUEST['cuadrilla'];
} else {
  $cuadrilla = "";
}

if (isset($_REQUEST['huerto'])) {
  $huerto = $_REQUEST['huerto'];
} else {
  $huerto = "";
}

if (isset($_REQUEST['labor'])) {
  $labor = $_REQUEST['labor'];
} else {
  $labor = "";
}

$productores = "(1=1)";
if ($perfil == 'INSPECTOR') {
  $productores = "(";
  $rs2 = mysql_query("SELECT * FROM sys_usuario_login_especial where usuario_rut='$rut'");

  while ($row2 = mysql_fetch_array($rs2)) {
    $productor_id_perfil = $row2['productor_id'];
    $productores .= "productor_id='" . $productor_id_perfil . "' OR ";
  }

  $productores .= "1=2)";
}

?>

<!doctype html>
<html lang="es">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=0.4, user-scalable=yes, minimum-scale=0.1, maximum-scale=10">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Huerto</title>
  <?php
  include '../../rutas/encabezado_huerto.php';
  $menu = "huerto";
  ?>

</head>

<body>

  <?php
  include '../../rutas/menu_insp2.php';
  ?>

  <div class="jumbotron" style="padding: 5px; height: 10%; margin: 0px;">
    <div class="row">

      <?php

      if ($cliente == 'GF') {
        echo '<div class="col-sm">
               Labor <select class="form-control" id="labor" name="labor" onchange="cargar();">';
        if ($labor == "PODA") {
          echo '<option value="PODA" selected>PODA</option>';
          echo '<option value="AMARRE">AMARRE</option>';
        } else if ($labor == "AMARRE") {
          echo '<option value="AMARRE" selected>AMARRE</option>';
          echo '<option value="PODA">PODA</option>';
        } else {
          echo '<option value="AMARRE" selected>AMARRE</option>';
          echo '<option value="PODA">PODA</option>';
        }


        echo '</select>';
        echo '</div>';
      } else {
        echo '<input type="hidden" name="labor" id="labor" value="">';
      }

      echo '<div class="col-sm">
               Zona <select class="form-control" id="zona_id" name="zona_id" onchange="cargar();">';
      $rs2 = mysql_query("SELECT * FROM cal_zona where cliente_id='$cliente'");

      echo '<option value="">TODOS</option>';
      while ($row2 = mysql_fetch_array($rs2)) {
        if ($zona_id == $row2['zona_id']) {
          echo '<option value="' . $row2['zona_id'] . '" selected>' . $row2['zona_nombre'] . '</option>';
        } else {
          echo '<option value="' . $row2['zona_id'] . '">' . $row2['zona_nombre'] . '</option>';
        }
      }
      echo '</select>
              </div>';

      echo '<div class="col-sm">
               Productor <select class="form-control" id="productor_id" name="productor_id" onchange="cargar();">';
      $rs2 = mysql_query("SELECT * FROM cal_productores where cliente_id='$cliente' and especie_id='$especie_id' AND $productores");

      echo '<option value="">TODOS</option>';
      while ($row2 = mysql_fetch_array($rs2)) {
        if ($productor_id == $row2['productor_id']) {
          echo '<option value="' . $row2['productor_id'] . '" selected>' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
        } else {
          echo '<option value="' . $row2['productor_id'] . '">' . $row2['productor_id'] . ' - ' . $row2['productor_nombre'] . '</option>';
        }
      }
      echo '</select>
              </div>';

      echo '<div class="col-sm">
               Variedades <select class="form-control" id="variedad_id" name="variedad_id" onchange="cargar();">';
      $rs2 = mysql_query("SELECT * FROM cal_variedades where cliente_id='$cliente' and especie_id='$especie_id'");

      echo '<option value="">TODOS</option>';
      while ($row2 = mysql_fetch_array($rs2)) {
        if ($variedad_id == $row2['variedad_id']) {
          echo '<option value="' . $row2['variedad_id'] . '" selected>' . $row2['variedad_id'] . ' - ' . $row2['variedad_nombre'] . '</option>';
        } else {
          echo '<option value="' . $row2['variedad_id'] . '">' . $row2['variedad_id'] . ' - ' . $row2['variedad_nombre'] . '</option>';
        }
      }
      echo '</select>
              </div>';
      if ($fecha == "") {
        date_default_timezone_set('America/Santiago');
        $time = time();
        $fecha = date("Y-m-d", $time);
      }


      echo '<div class="col-sm">
               Fecha <input type="date" class="form-control" value="' . $fecha . '" id="fecha" name="fecha" onchange="cargar();">';

      echo '</div>';

      if ($cliente == 'GF') {
        echo '<input type="hidden" name="cuartel" id="cuartel" value="">';
      } else {
        echo '<div class="col-sm">
               Cuartel <input type="text" class="form-control" id="cuartel" name="cuartel" value="' . $cuartel . '" onchange="cargar();">';

        echo '</div>';
      }


      if ($cliente == 'GF') {
        echo '<input type="hidden" name="contratista" id="contratista" value="">';
      } else {
        echo '<div class="col-sm">
               Contratista <input type="text" class="form-control" id="contratista" name="contratista" value="' . $contratista . '" onchange="cargar();">';

        echo '</div>';
      }


      if ($cliente == 'GF') {
        echo '<input type="hidden" name="cuadrilla" id="cuadrilla" value="">';
        /*echo '<div class="col-sm">
               Cuadrilla <input type="text" class="form-control" id="cuadrilla" name="cuadrilla" value="'.$cuadrilla.'" onchange="cargar();">';
                 
              echo '</div>';*/
      } else {
        echo '<input type="hidden" name="cuadrilla" id="cuadrilla" value="">';
      }

      if ($cliente == 'GF') {
        echo '<div class="col-sm">
               Huerto <select class="form-control" id="huerto" name="huerto" onchange="cargar();">';
        if ($huerto == "EL CORTIJO") {
          echo '<option value="EL CORTIJO" selected>EL CORTIJO</option>';
        } else {
          echo '<option value="EL CORTIJO" selected>EL CORTIJO</option>';
        }


        echo '</select>';
        echo '</div>';
      } else {
        echo '<input type="hidden" name="huerto" id="huerto" value="">';
      }




      echo '</div>
      </div>';
      ?>

      <div id="ingreso" style="width: 100%; height: 100%; overflow: scroll;">


      </div>


      <!-- Bootstrap core JavaScript
    ================================================== -->
      <script type="text/javascript">
        setTimeout(cargar, 300);


        function entrar() {


          cargar();

        }

        function clasificacion() {


        }


        function cargar() {
          var zona_id = $("#zona_id").val();
          var productor_id = $("#productor_id").val();
          var variedad_id = $("#variedad_id").val();
          var fecha = $("#fecha").val();
          var cuartel = $("#cuartel").val();
          var contratista = $("#contratista").val();
          var cuadrilla = $("#cuadrilla").val();
          var huerto = $("#huerto").val();
          var labor = $("#labor").val();

          //alert("cargar_cajas.php?zona_id="+zona_id+"&productor_id="+productor_id+"&variedad_id="+variedad_id+"&fecha="+fecha+"&cuartel="+cuartel+"&contratista="+contratista+"&cuadrilla="+cuadrilla+"&huerto="+escape(huerto)+"&labor="+labor+"");

          $("#ingreso").load("cargar_cajas.php?zona_id=" + zona_id + "&productor_id=" + productor_id + "&variedad_id=" + variedad_id + "&fecha=" + fecha + "&cuartel=" + cuartel + "&contratista=" + contratista + "&cuadrilla=" + cuadrilla + "&huerto=" + escape(huerto) + "&labor=" + labor + "");

        }
      </script>

      <?php
      include '../../rutas/scriptfinales_huerto.php';
      ?>

</body>

</html>